Void Processed Redemption (Redemptions 1.0)
Voids a processed redemption. After a redemption is voided successfully, the offer tied to the redemption is returned to the guest's account.
Note: The Void Redemption API allows you to cancel a redemption without any time restrictions for most types of redemptions. However, for coupons and promos, redemptions can only be voided within 24 hours of the redemption process.
- Type: stringx
-pch -digest requiredThe signature for the API call
- Type: stringContent
- Type requiredSet this header to application/json.
- Type: stringAcceptrequired
Advertises which content types the client is able to understand
- Type: stringUser
- Agent requiredFor details, see User Agent.
- Type: stringAuthorizationrequired
You may pass the access_token instead of the authentication_token in Online Ordering endpoints to authorize the request. It must be supplied as
Bearer ACCESS_TOKEN_GOES_HERE.
- Type: stringclientrequired
Client key of the business
- Type: integerFormat: int64redemption
_id requiredID of the redemption that you want to delete
- Type: stringauthentication
_token The authentication token of the user. You can retrieve this from the response of a successful sign-in API call or through the SSO process.
- Type: stringreason
Why the redemption is being deleted
- Type: stringredemption
_code To be entered if the redemption ID is not provided. If both redemption_id and redemption_code are provided, then only redemption_id will be processed.
- application/json
curl https://SERVER_NAME_GOES_HERE.punchh.com/api/auth/redemptions \
--request DELETE \
--header 'x-pch-digest: SIGNATURE_GOES_HERE' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'User-Agent: Punchh/OnlineOrder/1.0/Web/BrowserVersion/OS_Type' \
--header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
--data '{
"redemption_id": 323242,
"authentication_token": "AUTHENTICATION_TOKEN_GOES_HERE",
"client": "CLIENT_GOES_HERE"
}'
{}